Skip to main content
GET
/
shield
/
shield-zone
/
{shieldZoneId}
/
access-lists
/
enums
Get all Access Lists API enumeration types and their values
curl --request GET \
  --url https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/enums
import requests

url = "https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/enums"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.bunny.net/shield/shield-zone/{shieldZoneId}/access-lists/enums', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{}
{
  "type": "<string>",
  "title": "<string>",
  "status": 123,
  "detail": "<string>",
  "instance": "<string>"
}

Path Parameters

shieldZoneId
string
required

Response

OK

Represents a response with the list of enumeration types and their values exposed by the Access Lists API.

{key}
object
Last modified on June 26, 2026